curl --request PATCH \
--url https://api.example.com/utils/memories/{memory_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"asset_fqn": "<string>",
"content": {
"text": "<string>",
"type": "text"
},
"content_url": "<string>",
"search_text": "<string>",
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": [
"<string>"
],
"sensitivity": "<string>"
},
"meta_data": {},
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/utils/memories/{memory_id}"
payload = {
"name": "<string>",
"asset_fqn": "<string>",
"content": {
"text": "<string>",
"type": "text"
},
"content_url": "<string>",
"search_text": "<string>",
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": ["<string>"],
"sensitivity": "<string>"
},
"meta_data": {},
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
asset_fqn: '<string>',
content: {text: '<string>', type: 'text'},
content_url: '<string>',
search_text: '<string>',
classification: {
domain: '<string>',
priority: 'normal',
tags: ['<string>'],
sensitivity: '<string>'
},
meta_data: {},
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/utils/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"context_pack_id": "<string>",
"version": 123,
"content": {},
"memory_type": "fact",
"source": {
"type": "<string>",
"conversation_id": "<string>",
"turn_index": 123,
"actor": "<string>",
"confidence": 0.5,
"document_url": "<string>"
},
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": [
"<string>"
],
"sensitivity": "<string>"
},
"meta_data": {},
"quality": {
"validation_status": "unvalidated",
"confidence_score": 0.5,
"validated_by": "<string>",
"validated_at": "2023-11-07T05:31:56Z"
},
"access": {
"count": 0,
"last_accessed": "2023-11-07T05:31:56Z",
"success_count": 0,
"failure_count": 0,
"success_rate": 123
},
"status": "active",
"pinned": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_fqn": "<string>",
"content_url": "<string>",
"search_text": "<string>",
"superseded_by": "<string>",
"pinned_at": "2023-11-07T05:31:56Z",
"unpinned_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"superseded_at": "2023-11-07T05:31:56Z",
"reactivated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Update a memory
Update a memory’s content, classification, or metadata.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Memory ID
Body
Request to update a memory.
Updated name
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_.:-]*$Updated asset FQN
1 - 512Plain text memory content.
- TextContent
- StructuredContent
- JsonContent
- CodeContent
- ExperienceContent
Show child attributes
Show child attributes
Updated content URL
Updated search text
Updated classification
Show child attributes
Show child attributes
Updated metadata
Updated expiration time
Response
Successful Response
Full response model for a memory.
Memory ID
Memory name
Organization ID
Project ID
Parent context pack ID
Version number
Memory content
Memory type
fact, experience, observation, instruction, preference, summary, glossary, ontology, textual_pattern, kpi, exemplar, join, numeric_pattern, policy Source information
Show child attributes
Show child attributes
Classification
Show child attributes
Show child attributes
User-defined metadata
Quality information
Show child attributes
Show child attributes
Access tracking (PLACEHOLDER)
Show child attributes
Show child attributes
Current status
active, superseded, archived, deleted Whether pinned
Creation timestamp
Last update timestamp
Dot-separated catalog asset FQN
External content URL
Search text
ID of superseding memory
Pin timestamp
Unpin timestamp
Archive timestamp
Deletion timestamp
Supersede timestamp
Reactivation timestamp
Expiration timestamp
Was this page helpful?

